import 'reflect-metadata';
import { ChangeValueModal, FieldDataType } from '../types/types';
export declare function addValidator(field: any, transformClass: any): (base?: ((draft: any) => void) | undefined, ...args: unknown[]) => ((draft: any) => void) | Promise<(draft: any) => void>;
export declare function formStringValuesToTs(transformClass: FunctionConstructor, values: Record<string, any>): {};
export declare function getModalFormFields(changeValueModal: ChangeValueModal, fieldsComponent: any): any;
export declare function handleOnFinish(values: Record<string, any>, fields: FieldDataType[], action?: 'edit' | 'create' | 'clone' | undefined): Record<string, any>;
export declare function handleInitialValues(initialValues: Record<string, any>, fields: FieldDataType[]): Record<string, any>;
